Method: operations.delete

  • The content describes how to delete a long-running operation, indicating that the client is no longer interested in its result.

  • The HTTP request method used is DELETE, with the URL structure following gRPC Transcoding syntax.

  • The name path parameter, a string, specifies the operation resource to be deleted.

  • The request body must be empty, and a successful response will also have an empty body.

  • The operation requires the OAuth scope https://www.googleapis.com/auth/cloud-platform for authorization.

Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns google.rpc.Code.UNIMPLEMENTED.

HTTP request

DELETE https://routeoptimization.googleapis.com/v1/{name=operations/**}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

The name of the operation resource to be deleted.

Request body

The request body must be empty.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform